<?
class clss_104 extends clss_0
{

    public $parent_to=array() ;

    /* создаем поддержку класса в таблице ----------------------------------------------------------------------------------------------------------------------------- */
     function obj_create_dialog()
     {  $form_id='form_obj_create_dialog_clss_'.$this->clss ;
        ?><form method="POST" action="ajax.php" id=<?echo $form_id?>>
              Добавить в таблицу поддержку <input type=radio name=adding_clss value=3> Изображений <input type=radio name=adding_clss value=5> Файлов <input type=radio name=adding_clss value=4> Видео<br><br>
              Или укажите код класса <input name="adding_clss_input" type=text class=text  value="" size=1><br>
             <br/><br/>
             <input name="clss_is_out" type="checkbox" value="1" checked> Хранить объекты в отдельной таблице <button class=button_green mode=append_viewer_main cmd=create_obj_after_dialog clss="<?echo $this->clss?>" parent_reffer="<?echo $_POST['parent_reffer']?>">Добавить</button>
             <br/><br/>
          </form>
       <?
       return(0) ;
     }

 function create_obj_after_dialog()
 {
   //include_once(_DIR_TO_ENGINE.'/admin/i_setup.php') ;
   include_once(_DIR_TO_ENGINE.'/class/clss_101.php') ;
   $adding_clss=($_POST['adding_clss_input']>'')? $_POST['adding_clss_input']:$_POST['adding_clss'] ;
   if (!$adding_clss) $adding_clss=0 ;
   $dir='' ;
   list($parent_id,$tkey)=explode('.',$_POST['parent_reffer']) ;
   $parent_table=_DOT($parent_id) ;
   $parent_table_code=$parent_table->table_code ;
   if ($parent_table_code=='goods') $parent_table_code='catalog' ;

   if (!isset(_DOT($parent_id)->list_clss[$adding_clss]))
   {  // при выборе режима хранения  создаем out таблицу
	  switch ($_POST['clss_is_out'])
	   { case 1:      $table_title=_CLSS($adding_clss)->name ;
	                  $table_code=(_CLSS($adding_clss)->table_code)? _CLSS($adding_clss)->table_code:'out_'.$adding_clss ;
                      $table_name=_DOT($parent_id)->table_name.'_'.$table_code ;
	                  switch($adding_clss)
                      {  case 3:  $dir='/public/'.$parent_table_code.'/' ; break ;
                         case 5:  $dir='/public/'.$parent_table_code.'/' ; break ;
                         case 6:  $table_name=_DOT($parent_id)->table_name.'_props' ; break ;
                      }
                       $new_table_options=array(  'table_parent'  =>$parent_id,
                                                  'table_clss'    =>101,
                                                  'table_title'   =>$table_title,
                                                  'table_name'    =>$table_name,
                                                  'use_clss'      =>$adding_clss,
                                                  'dir'           =>$dir
                                                )  ;

	                  create_DOT_object_table($new_table_options) ;
	   				  break;
     	 case 0:      create_DOT_clss($parent_id,$adding_clss) ;
     	 			  create_model_obj_tables(array('use_tkey_table'=>$parent_id)) ;
                      include_once(_DIR_EXT.'/db/i_table_checked.php') ;
                      table_checked($parent_id) ;

     	 			  break ;
   	   }
	}
   return('ok');
 }


}





?>